#version 430 core

in vec4 aColor;

layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BloomColor;


void main() {	
	
	FragColor = aColor;

	float brightness = dot(FragColor.rgb, vec3(0.2126f, 0.7152f, 0.0722f));
	BloomColor = vec4(0.0f,1.0f,0.2f,1.0f);
	if(brightness > 0.35f)
		BloomColor = vec4(FragColor.rgb *1.5f,1.0f);
	else 
		BloomColor = vec4(0.0f,0.0f,0.0f,0.0f);
}

